Problems with Gears 3 with LT 1.92?

HomeForumsGeneral DiscussionProblems with Gears 3 with LT 1.92?

This topic has 2 voices, contains 1 reply, and was last updated by avatar Kanoosh 2276 days ago.

Viewing 2 posts - 1 through 2 (of 2 total)
Author Posts
Author Posts
2011-09-25 at 05:02AM UTC #1111
avatar
Bloodwing25

i read on a few different sites that a few people had problems with Gears of war 3. The one post i remember the most was a guy with LT+ 1.92 and after putting in gears of war 3 it immediatly shut down or something and then he couldnt play his backups or originals. I also heard a few other strange things happening. At first i thought maybe his dashboard wasnt updated. But im not sure, then i thought it was a new security measure, but alot of people that did play the original on 1.91 and 1.92 didnt have any problems, so maybe its localized.

2011-09-25 at 05:46PM UTC #1167
avatar
Kanoosh

Troll?

Viewing 2 posts - 1 through 2 (of 2 total)

You must be logged in to reply to this topic.